# $Revision: 1.13 $, $Date: 2004/12/09 10:31:44 $
Summary:	A pine--gpg/pgp interface
Summary(de):	Ein Interface zwischen pine und gpg/pgp
Summary(pl):	Interfejs pine--gpg/pgp
Name:		gpg4pine
Version:	4.2
Release:	1
License:	Free (see README)
Group:		Applications/File
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	565f0ee115275419eb40a7fa8e791789
Patch0:		%{name}-rpm.patch
URL:		http://azzie.robotics.net/
Requires:	fileutils
Requires:	textutils
Requires:	sh-utils
Requires:	grep
Requires:	gnupg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
gpg4pine is a program that lets you send messages signed or encrypted
via an OpenPGP backend (GnuPG or PGP) with your favorite mailer (that
is, pine).

%description -l de
gpg4pine ist ein Frontend fr OpenPGP-Programme (GnuPG oder PGP), der
erlaubt untergeschriebene oder verschlsselte Nachrichte mit deinem
Lieblingsmailer (pine) zu schicken.

%description -l pl
gpg4pine jest programem pozwalajcym na wysyanie wiadomoci
podpisanych lub zaszyfrowanych przez program OpenPGP (GnuPG lub PGP)
przy uyciu twojego ulubionego programu pocztowego (czytaj: pine'a).

%prep
%setup -q
tar xf %{name}-%{version}.tar -C ..
mv -f README README.orig
cat README.orig|sed '/^CONFIGURATION$/p'|sed \
	'/^INSTALLATION$/,/^CONFIGURATION$/d'>README
%patch -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_datadir}/gpg4pine,%{_mandir}/man1}

%{__make} install \
	BIN_DIR=$RPM_BUILD_ROOT%{_bindir} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}

install gpg4pinerc $RPM_BUILD_ROOT%{_sysconfdir}/gpg4pine.defaults
cp -a language $RPM_BUILD_ROOT%{_datadir}/gpg4pine/language
touch $RPM_BUILD_ROOT%{_sysconfdir}/gpg4pine.override

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc README AUTHORS NEWS LICENSE aliases
%doc pgp-patches
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gpg4pine
%config %{_sysconfdir}/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gpg4pine.spec,v $
Revision 1.13  2004/12/09 10:31:44  blues
- typo

Revision 1.12  2004/12/09 10:29:52  blues
- requires gnupg, not pgp

Revision 1.11  2003/05/28 12:59:01  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:48:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/11/27 20:15:43  juandon
- new %%doc

Revision 1.8  2002/04/25 16:28:38  arturs
fixed a small typo

Revision 1.7  2002/04/05 15:16:23  roman
s/Free but see README/Free (see README) in License

Revision 1.6  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/08 13:58:24  qboosh
- don't gzip man pages in spec - rpm does

Revision 1.2  2001/04/10 20:54:10  saq
- adapterized. STB

Revision 1.1  2000/08/31 17:15:18  saq
- initial release
565f0ee115275419eb40a7fa8e791789  gpg4pine-4.2.tar.gz
